Package net.shibboleth.idp.authn

# Class AuthenticationFlowDescriptor.WeightedComparator<T>

java.lang.Object
net.shibboleth.idp.authn.AuthenticationFlowDescriptor.WeightedComparator<T>

Type Parameters:
  `T` - object type

All Implemented Interfaces:
  `Comparator<T>`

Enclosing class:
  AuthenticationFlowDescriptor

private final class AuthenticationFlowDescriptor.WeightedComparator<T> extends Object implements Comparator<T>
A `Comparator` that compares the mapped weights of the two operands, using a weight of zero for any unmapped values.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WeightedComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(T o1, T o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### WeightedComparator

private WeightedComparator()

## Method Details

### compare

public int compare(T o1, T o2)

Specified by:
  `compare` in interface `Comparator<T>`